version: '3.7'
services:
  gitlab:
    image: gitlab/gitlab-ee:latest
    hostname: ${GITLAB_HOSTNAME}
    restart: unless-stopped
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        gitlab_rails['gitlab_shell_ssh_port'] = ${GITLAB_PORT_SSH}
        external_url 'http://${GITLAB_DOMAIN}:${GITLAB_PORT_WEB}'
    ports:
      - "${CONTAINER_PORT_WEB}:${GITLAB_PORT_WEB}"
      - "${CONTAINER_PORT_SSH}:${GITLAB_PORT_SSH}"
    volumes:
      - $GITLAB_HOME/config:/etc/gitlab
      - $GITLAB_HOME/logs:/var/log/gitlab
      - $GITLAB_HOME/data:/var/opt/gitlab
    networks:
      - gitlab_net
    shm_size: '256m'

networks:
  gitlab_net:
    driver: bridge
